> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v2/notificationlist ## OpenAPI ````json POST /v2/notificationlist { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v2/notificationlist": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2NotificationlistPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2NotificationlistPostResponse" } } } } } } } }, "components": { "schemas": { "v2NotificationlistPostRequest": { "type": "object", "properties": { "timeWindow": { "$ref": "#/components/schemas/alertserviceTimeWindow" } }, "additionalProperties": false }, "v2NotificationlistPostResponse": { "type": "object", "properties": { "notificationList": { "type": "array", "items": { "$ref": "#/components/schemas/alertserviceNotificationRecord" } } }, "additionalProperties": false }, "alertserviceTimeWindow": { "type": "object", "properties": { "bucketSizeSec": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "oldTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "recentTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" } }, "additionalProperties": false }, "alertserviceNotificationRecord": { "type": "object", "properties": { "alertType": { "type": "string", "example": "example string", "description": "Type of the alert underlying the notification (required)" }, "muteCount": { "type": "integer", "format": "int64", "example": 1234567891011, "description": "Number of entities notificated muted (required)" }, "name": { "type": "string", "example": "example string", "description": "Name given to the notification record (required)" }, "notificationBody": { "$ref": "#/components/schemas/alertserviceNotificationBody" }, "notificationId": { "type": "string", "example": "example string", "description": "Unique id for the notification record (required)" }, "ruleId": { "type": "string", "example": "example string", "description": "The id of the rule on which notification is created (required)" }, "timesTriggered": { "type": "integer", "format": "int64", "example": 12345678910, "minimum": 0, "description": "Number of times notification was triggered for the same alert (required)" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "alertserviceNotificationBody": { "type": "object", "properties": { "description": { "type": "string", "example": "example string", "description": "Description of notification" }, "duration": { "type": "string", "example": "ENUM_VALUE", "description": "Time interval for notification (required)" }, "enabled": { "type": "boolean", "example": true, "description": "Enable or disable notification (required)" }, "frequency": { "type": "integer", "format": "int64", "example": 12345678910, "minimum": 0, "description": "Frequency of notifying a continuing alert (required)" }, "messageBody": { "type": "string", "example": "example string", "description": "Message body to prepend to actual message" }, "notificationName": { "type": "string", "example": "example string", "description": "Name of the notification record (required)" }, "opsgenieList": { "type": "array", "items": { "type": "string", "example": "example string", "description": "List of opsgenie recipients" } }, "opsrampList": { "type": "array", "items": { "type": "string", "example": "example string", "description": "List of opsramp recipients" } }, "pagerdutyList": { "type": "array", "items": { "type": "string", "example": "example string", "description": "List of pagerduty recipients" } }, "recipientList": { "type": "array", "items": { "type": "string", "example": "example string", "description": "Non-empty list of email recipients (required)" } }, "teamsList": { "type": "array", "items": { "type": "string", "example": "example string", "description": "List of teams recipients" } }, "webhookUrlList": { "type": "array", "items": { "type": "string", "example": "example string", "description": "List of webhook_url recipients" } } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````